@use '~@angular/material' as mat;
mat-sidenav-container,
mat-sidenav-content,
mat-sidenav {
  height: 100%;
}

mat-sidenav {
  width: 250px;
}

main {
  height: auto !important;
  /* height of header */
}

app-navbar {
  position: sticky;
  left: 0;
  top: 0;
  z-index: 999;
}

// Changes tooltips globally
::ng-deep .mat-tooltip {
  @include mat.elevation-transition;
  //@include mat-elevation(24);
  filter: var(--drop-shadow);

  margin: 0.2rem !important;
  margin-top: 0.75rem !important;
  padding: 0.5rem !important;
  white-space: pre-line !important;
  word-break: break-word !important;
  font-size: 0.9rem !important;
  font-weight: normal;
  background-color: white;
  color: black !important;
  border-radius: 0.2rem !important;
  font-family: var(--font-stack);
}

// Changes snackbar globally
::ng-deep .styled-snackbar {
  @include mat.elevation-transition;
  // @include mat-elevation(24);
  filter: var(--drop-shadow);

  // margin: 0.2rem !important;
  // margin-top: 0.75rem !important;
  padding: 1rem !important;
  white-space: pre-line !important;
  word-break: break-word !important;
  font-weight: normal;
  background-color: white;
  color: black !important;
  border-radius: 0.2rem !important;
  text-align: center;
  font-family: var(--font-stack);

  // Position text inside of snackbar in center
  display: flex !important;
  justify-content: center !important;
}

::ng-deep .mat-simple-snackbar-action {
  color: #fff;
  background-color: #00afe7;
  border-radius: 3rem;
  font-weight: bold;
}
